Elasticsearch

class matterapi.endpoints.async_api.ElasticsearchApi(client: matterapi.client.base.BaseClient, skip_response_parsing: bool = False)

Endpoints for configuring and interacting with Elasticsearch.

async purge_elasticsearch_indexes() matterapi.models.StatusOK

Purge all Elasticsearch indexes

Deletes all Elasticsearch indexes and their contents. After calling this endpoint, it is necessary to schedule a new Elasticsearch indexing job to repopulate the indexes.

Permissions:

Must have manage_system permission.

Minimum Server Version:

4.1

Api Reference:

PurgeElasticsearchIndexes

async test_elasticsearch() matterapi.models.StatusOK

Test Elasticsearch configuration

Test the current Elasticsearch configuration to see if the Elasticsearch server can be contacted successfully. Optionally provide a configuration in the request body to test. If no valid configuration is present in the request body the current server configuration will be tested.

Permissions:

Must have manage_system permission.

Minimum Server Version:

4.1

Api Reference:

TestElasticsearch